<?php

namespace Drupal\Tests\monster_menus\Unit\Controller;

use Drupal\Tests\UnitTestCase;
use Drupal\monster_menus\Controller\MMTreeViewController;

/**
 * @coversDefaultClass \Drupal\monster_menus\Controller\MMTreeViewController
 * @group monster_menus
 */
class MMTreeViewControllerTest extends UnitTestCase {

  /**
   * The mocked database connection.
   *
   * @var \Drupal\Core\Database\Connection|\PHPUnit\Framework\MockObject\MockObject
   */
  protected $database;

  /**
   * {@inheritdoc}
   */
  public function setUp(): void {
    parent::setUp();

    $this->database = $this->createMock('\Drupal\Core\Database\Connection');
  }

  /**
   * Test the static create method.
   *
   */
  public function testCreate() {
    $renderer = $this->createMock('Drupal\Core\Render\Renderer');

    $container = $this->createMock('Symfony\Component\DependencyInjection\ContainerInterface');
    $container->expects($this->any())
      ->method('get')
      ->will($this->onConsecutiveCalls($this->database, $renderer));

    $this->assertInstanceOf('\Drupal\monster_menus\Controller\MMTreeViewController', MMTreeViewController::create($container));
  }

}